package ui

import (
	"go_dreamfactory/cmd/v2/service/observer"

	"fyne.io/fyne/v2/widget"
)

type toyInterface interface {
	Init(obs observer.Observer) error
	GetToyCard() *widget.Card
}

var (
	toyRegister = []toyInterface{
		&toyDateTime{},
		&toyUserInfo{},
	}
)

const (
	ToyWidth = 250
)

type toyAdapter struct {
	widget *widget.Card
}

func (t toyAdapter) Init(obs observer.Observer) error {
	panic("implement Init")
}

func (t toyAdapter) GetToyCard() *widget.Card {
	return t.widget
}
